import { createApp, VueElement } from 'vue'
import App from './App.vue'
import router from './router/index'
import ElementPlus from 'element-plus';
// 如果您正在使用CDN引入，请删除下面一行。
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import '../node_modules/element-plus/lib/theme-chalk/index.css';
import "./assets/font/iconfont.css"
import "@/styles/index.scss"
import './until/flexible.js'
import { key, store } from './store'
import '@/assets/font/iconfont.js'

const app = createApp(App)

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}
app.use(ElementPlus).use(router).use(store, key)
app.mount('#app')
